#!/usr/bin/ruby

database = "dbi:SQLite:/var/lib/coin-diff/pkg_infos_ng.db"

require 'dbi'

db_infos = database.split(":")
db_sys = db_infos[0]
db_driver = db_sys + ":" + db_infos[1] + ":"

if (db_sys != "dbi")
	STDERR.puts "Unsupported requested database system ! (" + db_sys + ")"
	exit
end

if not DBI.available_drivers.include?(db_driver)
	STDERR.puts "Missing requested database driver ! (" + db_driver + ")"
	exit
end

begin
	dbh = DBI.connect(database)
rescue
	STDERR.puts "Cannot connect to the specified database : " + $!
	exit
end

# test
#dbh.do("DROP TABLE pkg_src;")

if not dbh.tables.include?("pkg_src")
	sql_creation = ""
	begin
		file = File.open("/usr/share/coin-diff/db_create.sql", "r")
		file.each_line do |line|
			sql_creation += line
		end
		file.close()
	rescue
		STDERR.puts "Could not open SQL file to create necessary tables : " + $!
		exit
	end

	begin
		dbh.do(sql_creation)
	rescue
		STDERR.puts "SQL error : neccessary tables creation failed : " + $!
		exit
	end
end

dbh.tables.each do |t|
	puts t
end

dbh.do('commit')
dbh.disconnect

