#!/usr/bin/ruby
#
#
# Copyright (c)2004 DuckCorp(tm)
#
#
#
# This file is part of Coin-diff.
#
# Coin-diff is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Coin-diff is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Coin-diff; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#



require 'getoptlong'
require 'coin-diff/coindiff'

opts = GetoptLong.new(
	[ "--config-path", "-c", GetoptLong::REQUIRED_ARGUMENT ]
)
config_path = nil
opts.each do |opt, arg|
	config_path = arg if opt == "--config-path"
end

config = CoinDiff::Config.new
config.load(config_path)

browser = CoinDiff::PkgBrowser.new
exit if not config.setup_pkgbrowser(browser)

browser.check_obsolescence()
browser.compute_versionned_src()
browser.get_all_missing()

browser.save_pkg_db(config.get_db_filename())

